/**
 * @author Susanne Stadler, DEMO CHI12
 * 
 * Generate Tabs: Adaped example from android sdk_examples
 */

package bzzzt.test;

import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.widget.TabHost;

public class BzzztActivity extends TabActivity {
	/** Called when the activity is first created. */

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		Resources res = getResources(); // Resource object to get Drawable
		TabHost tabHost = getTabHost(); // The activity TabHost
		TabHost.TabSpec spec; // Resusable TabSpec for each tab
		Intent intent; // Reusable Intent for each tab

		// Create an Intent to launch an Activity for the tab (to be reused)
		intent = new Intent().setClass(this, TestActivity.class);

		// Initialize a TabSpec for each tab and add it to the TabHost
		spec = tabHost.newTabSpec("test")
				.setIndicator("Test", res.getDrawable(R.drawable.ic_tab_test))
				.setContent(intent);
		tabHost.addTab(spec);

		// Do the same for the other tabs
		intent = new Intent().setClass(this, TrainActivity.class);
		spec = tabHost
				.newTabSpec("train")
				.setIndicator("Train", res.getDrawable(R.drawable.ic_tab_train))
				.setContent(intent);
		tabHost.addTab(spec);

		intent = new Intent().setClass(this, ResetActivity.class);
		spec = tabHost
				.newTabSpec("reset")
				.setIndicator("Reset", res.getDrawable(R.drawable.ic_tab_reset))
				.setContent(intent);
		tabHost.addTab(spec);

		tabHost.setCurrentTab(0);
	}
}