/**
 * @author Susanne Stadler, DEMO CHI12
 * 
 * Gives the user the ability to reset training_data_set to default surfaces (3 for Demo)
 * For detailed info how reset works look at reset_data.py in server folder
 */
package bzzzt.test;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import org.apache.http.HttpResponse;

import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class ResetActivity extends Activity implements OnClickListener {

	private static final String TAG = "ResetActivity";

	private String url_reset = "http://192.168.2.41/cgi-bin/chi_reset_data.py";
	private TextView result;
	private String state;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.reset);

		result = (TextView) findViewById(R.id.response);

		Button send_button = (Button) findViewById(R.id.Button_reset);
		send_button.setOnClickListener(this);
	}

	public void sendRequest() {
		HttpClient httpclient = new DefaultHttpClient();

		HttpPost httppost = new HttpPost(url_reset);

		try {
			HttpResponse response = httpclient.execute(httppost);
			InputStream is = response.getEntity().getContent();
			InputStreamReader ir = new InputStreamReader(is);
			BufferedReader br = new BufferedReader(ir);
			String read = br.readLine();
			StringBuffer sb = new StringBuffer();

			while (read != null) {
				sb.append(read);
				read = br.readLine();
			}
			result.setText("processing");
			result.postInvalidate();
			
			//state is either "reset done" if all is fine 
            //         or     "noting to reset" if there is nothing to reset
            //         or     "<!--" if something goes wrong 
			state = sb.toString(); 

			//Handler is needed to perceive reset
			Handler handler = new Handler();
			handler.postDelayed(new Runnable() {
				public void run() {
					if (state.startsWith("<!--:")) {
						result.setText("Error happens! Try again.");
					} else {
						result.setText(state);
					}
				}
			}, 2000);

		} catch (UnsupportedEncodingException e) {
			Log.e(TAG, e.getMessage() + " in sendRequest");
		} catch (ClientProtocolException e) {
			Log.e(TAG, e.getMessage() + " in sendRequest");
		} catch (IOException e) {
			Log.e(TAG, e.getMessage() + " in sendRequest");
		}
	}

	@Override
	public void onClick(View arg0) {
		sendRequest();

	}

	protected void onResume() {
		super.onResume();
	}

	@Override
	protected void onPause() {
		super.onStop();
	}
}
